@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none;
  list-style: none;
  font-family: "Inter", "poppines";
  font-style: normal;
  color: #2a2a2a;
}

:root {
  --timeline-width: 225px;
}

a,
h1,
h2,
h3,
h4,
h5,
p {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  cursor: pointer;
}
.contect-us-btn:hover {
  color: #ffffff !important;
}

*::selection {
  background: #000000;
  color: #ffffff;
}

html {
  font-size: 62.5%;
  scroll-padding-top: 5.5rem;
  scroll-behavior: smooth;
  box-shadow: none;
}

@media (min-width: 1200px) {
  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl,
  .container-xxl {
    max-width: 1214px !important;
  }
}

.select2-dropdown {
  border: none !important;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px,
    rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
}

/* Language Toggle */
.switcher {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
}
.switcher .select2-container--default .select2-selection--single {
  background-color: transparent;
}

/* ------------------------------headr-------- */
.navbar-section {
  background: #fcfcfc;
  /* box-shadow: rgba(172, 172, 192, 0.2) 0px 7px 29px 0px; */
  transition: all 0.3s linear;
  padding: 16px;
  position: fixed;
  width: 100%;
  z-index: 1000;
}
.navbar-section .bgchange {
  background: rgb(7, 185, 216);
  transition: all 0.3s linear;
}

.header {
  display: flex;
  justify-content: space-between;
}
.nav-items {
  display: flex;
  gap: 24px;
  align-items: center;
}
.contect-us-btn {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #ffffff;
  /* width: 100%; */
  width: 150px;
  height: 46px;
  background: #576cbc;
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  /* padding: 11px 30px; */
}
.hero-section {
  background-image: url(../images/hero-background.png);
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 528px;
  padding-top: 83px;
}
.hero-section .main-provide-services {
  display: flex;
  gap: 4px;
  align-items: center;
  padding: 105px 0;
}
.hero-section .main-provide-services .provide-services-text {
  width: 100%;
  max-width: 712px;
}
.digital-envirment-heading {
  display: flex;
  gap: 12px;
  flex-wrap: wrap;
}
.digital-black {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 700;
  font-size: 48px;
  line-height: 60px;
  /* text-transform: capitalize; */
  /* font-feature-settings: 'liga' off; */
  white-space: nowrap;
  color: #0b2447;
}
.contect-5head {
  font-weight: 600 !important;
  font-size: 46px !important;
}
.digital-blue {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 700;
  font-size: 48px;
  line-height: 60px;
  text-transform: capitalize;
  font-feature-settings: "liga" off;
  color: #576cbc;
  white-space: nowrap;
}
.business-imperatives-p {
  padding-top: 20px;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 28px;
  text-align: justify;
  color: #667085;
}
.coming-section {
  background-color: #f5f8fd;
  padding: 44px 0 54px 0;
}
.coming-section h3 {
  font-weight: 600;
  font-size: 46px;
  line-height: 69px;
}
.input-notify {
  max-width: 519px;
  height: 52px;
  background: #ffffff;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
  padding: 3px 6px;
  margin-top: 24px;
}
.input-notify input {
  border: none;
  padding-left: 18px;
  width: 100%;
  font-style: normal;
  font-weight: 300;
  font-size: 16px;
  line-height: 24px;
}
.input-notify input::placeholder {
  font-family: "Inter";
  font-style: normal;
  font-weight: 300;
  font-size: 16px;
  line-height: 24px;
  color: rgba(41, 50, 65, 0.5);
}
.input-notify .notify-btn {
  padding: 11px 30px;
  white-space: nowrap;
  height: 46px;
  background: #576cbc;
  border-radius: 8px;
  border: none;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #ffffff;
}
.main-form {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 75px;
  align-items: center;
}
.contect-form {
  width: 100%;
  max-width: 480px;
}
.contect-section {
  background-image: url(../images/Contact-page-bg.png);
  background-repeat: no-repeat;
  background-position: center;
  padding: 137px 0 100px 0;
  background-size: cover;
}
.form-contect-send {
  padding-top: 41px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.form-contect-send .main-first {
  display: flex;
  gap: 32px;
}
.form-contect-send .main-first .name {
  width: 100%;
  max-width: 224px;
}
.form-contect-send .fr-label {
  width: 100%;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 21px;
  color: #344054;
  padding-bottom: 6px;
}
.name .input-field,
.main2-email .input-field {
  color: #344054 !important;
}
.form-contect-send .input-field {
  width: 100%;
  height: 48px;
  background: #ffffff;
  border: 1px solid #d0d5dd;
  box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
  border-radius: 8px;
  padding: 14px 18px;
}
.form-contect-send .input-field2 {
  border: none;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  width: 100%;
}

.form-contect-send .input-field2::-webkit-outer-spin-button,
.form-contect-send .input-field2::-webkit-inner-spin-button {
  display: none;
  -webkit-appearance: none;
  margin: 0;
}

/* For Firefox */
.input-field2[type="number"] {
  -moz-appearance: textfield;
}
.select2-container--default .select2-results > .select2-results__options {
  scrollbar-color: #888 #f1f1f1;
  scrollbar-width: thin;
}

.select2-container--default
  .select2-results
  > .select2-results__options::-webkit-scrollbar {
  width: 3px;
}

.select2-container--default
  .select2-results
  > .select2-results__options::-webkit-scrollbar-track {
  background: #f1f1f1;
}

.select2-container--default
  .select2-results
  > .select2-results__options::-webkit-scrollbar-thumb {
  background: #888;
}
.select2-container--default .select2-results__option[aria-selected="true"] {
  background-color: transparent;
}

.all-country-code .input-field2 {
  width: 100%;
  border: none;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  position: relative;

  /* height: 48px; */
}
#number-error {
  position: absolute !important;
  bottom: -22px;
  left: 0;
}

.form-contect-send .input-field {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #a1a0a0;
}
.all-country-code .input-field2::placeholder {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #a1a0a0;
}
.form-contect-send textarea {
  width: 100%;
  height: 48px;
  background: #ffffff;
  border: 1px solid #d0d5dd;
  box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
  border-radius: 8px;
  padding: 14px 18px;
  height: 127px;
  resize: none;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 21px;
  color: #344054;
}
.main-country-code {
  display: flex;
  gap: 17px;
  align-items: center;
  height: 48px;
  background: #ffffff;
  border: 1px solid #d0d5dd;
  box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
  border-radius: 8px;
  padding: 3px;
  position: relative;
}
/* ----------------select-box-------- */
.form-select {
  width: 150px;
  border: none;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #5f5f5f;
  transition: unset;
  white-space: nowrap;
  text-overflow: ellipsis;
  box-shadow: none;
  outline: none;
  border-right: 1px solid #d0d5dd;
  border-radius: 0px;
}

.all-country-code .select2-container {
  max-height: 200px;
  overflow-y: none;
}
.select2-container--default .select2-search--dropdown .select2-search__field {
  display: none;
}
.all-country-code {
  display: flex;
  gap: 17px;
  /* width: 100%; */
  height: 44px;
}
.select2-container--default
  .select2-results__option--highlighted[aria-selected] {
  background-color: #ebefff;
  padding: 12px 12px 12px 16px;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #344054;
}
.select2-results__option[aria-selected] {
  padding: 12px 12px 12px 16px;
  font-family: "Poppins";
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #344054;
}
.select2-container {
  width: 73px !important;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  background-image: url(../images/dropdown-Icon.svg);
  background-repeat: no-repeat;
  top: 18px;
}
.select2-container--default .select2-selection--single {
  background-color: #fff;
  border: transparent;
  border-radius: 4px;
  height: 44px;
  display: flex;
  align-items: center;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #5f5f5f;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__arrow
  b,
.select2-container--default.select2-container--open
  .select2-selection--single
  .select2-selection__arrow
  b {
  border-color: transparent;
  border-style: solid;
  border-width: 5px 4px 0 4px;
  height: 0;
  left: 50%;
  margin-left: -4px;
  margin-top: -2px;
  position: absolute;
  top: 50%;
  width: 0;
}
/* ----------------------select-------- */

.check-privacy {
  /* margin-top: 24px !important; */
  display: flex;
  gap: 12px;
  /* align-items: center; */
  position: relative;
}
#checked-error {
  position: absolute;
  bottom: -22px;
}
.check-privacy input {
  width: 20px;
  height: 20px;
  background: #ffffff;
  border: 1px solid #d0d5dd;
  border-radius: 6px;
}
.check-privacy label {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 21px;
  color: #667085;
}
.send-msg-btn {
  margin-top: 32px;
  background: #576cbc;
  border: 1px solid #7f56d9;
  height: 48px;
  width: 100%;
  box-shadow: 0px 1px 2px rgba(16, 24, 40, 0.05);
  border-radius: 8px;
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 24px;
  color: #ffffff;
}
#form-contect label.error {
  color: rgb(254, 87, 87);
  font-weight: 600;
  font-size: 12px;
  font-family: "Inter";
}
/* ---------------footer-section-- */

.footer-section {
  background: #fcfcfc;
  padding: 24px;
}
.footer-links {
  display: flex;
  justify-content: flex-end;
  gap: 40px;
}
.footer-links a {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #344054;
}
/*--------------breadcrumb--------*/
.breadcrumb .breadcrumb-item a,
.breadcrumb-item {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 600;
  font-size: 20px;
  line-height: 24px;
  color: rgba(12, 57, 218, 1);
}
.breadcrumb-item.active {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 24px;
  color: #323232;
}
.breadcrumb {
  padding-bottom: 15px;
}

@media (max-width: 991px) {
  .hero-section .main-provide-services {
    flex-wrap: wrap;
    justify-content: center;
  }
  .provide-services-text {
    order: 2;
  }
  .main-form {
    grid-template-columns: 1fr;
    justify-items: center;
  }
}
@media (max-width: 768px) {
  .digital-black {
    white-space: inherit;
  }
}
@media (max-width: 550px) {
  .digital-blue,
  .coming-section h3,
  .digital-black {
    font-size: 26px !important;
    line-height: 32px;
  }
  .hero-section .main-provide-services {
    padding: 30px 0;
  }
  .contect-section {
    padding: 20px 0 20px 0;
  }
  .main-form {
    gap: 45px;
  }
  .input-notify .notify-btn {
    padding: 12px 17px;
  }
  .digital-envirment-heading {
    gap: 4px;
  }
  .contect-us-btn {
    width: 125px;
  }
  .nav-items {
    gap: 9px;
  }

  @media (max-width: 400px) {
    .contect-us-btn {
      font-size: 12px;
    }
    .contect-us-btn {
      width: 93px;
      height: 41px;
    }

    .input-notify .notify-btn {
      font-size: 12px;
    }
    .footer-links a {
      font-size: 12px;
    }
    .footer-links {
      gap: 20px;
    }
  }
}
